Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 15956

Description

I basically have the same problem as issue #5169 and #6052. As soon as I start qgis, I get:

ian@ian-desktop $ qgis

    Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_GB]

    Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_GB]

    qgis.bin: /build/buildd/sip4-4.13.2/siplib/siplib.c:10938: sipEnumType_alloc: Assertion `(((currentType)->td_flags & 0x0007) ==

0x0003)' failed.

    Aborted (core dumped)

Unfortunately, while both of those previous issues have now been closed, they don't specify how to solve the problem. I'm installing qgis

from the oneiric repo, and I've tried both the stable and the nightly build. Both have exactly the same behaviour.

History

#1 - 2012-12-25 06:04 AM - Giovanni Manghi

- Target version set to Version 2.0.0

- Status changed from Open to Feedback

still true?

#2 - 2012-12-26 02:48 AM - Martin Dobias

- Priority changed from Severe/Regression to Normal

This must be a packaging problem - most likely you have got a wrong blend of PyQt4 and SIP related packages for some reason - due to custom PPAs or

something like that - at least that's my impression from other bugs with the same error message: 

https://bugs.launchpad.net/ubuntu/+source/calibre/+bug/993652

Please check where your packages come from:

apt-cache policy python-sip

apt-cache policy python-qt4

There's barely anything that we could do about that. Removing blocker priority.

As a last resort you could remove python-qgis package - QGIS should at least start, but you won't be able to run python plugins.

#3 - 2012-12-30 09:46 AM - Giovanni Manghi
https://bugs.launchpad.net/ubuntu/+source/calibre/+bug/993652


- Priority changed from Normal to High

#4 - 2013-01-02 11:43 PM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

most likely a local package problem, closing for lack of feedback, reopen of necessary.
